Name:           python-dbdicom
Version:        0.3.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A pythonic interface for reading and writing DICOM databases

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://openmiblab.github.io/dbdicom/
Source:         %{pypi_source dbdicom}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dbdicom' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dbdicom
Summary:        %{summary}

%description -n python3-dbdicom %_description


%prep
%autosetup -p1 -n dbdicom-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dbdicom -f %{pyproject_files}


%changelog
%autochangelog